# Exercise 05/Section 01/Chapter 01 of [BL, page 18]

# Variables
var x1 >= 0;            # Planting area dedicated to wheat (acre).
var x2 >= 0;            # Planting area dedicated to corn  (acre).
var x3 >= 0;            # Planting area dedicated to beet  (acre).
var r1 integer >= 0;    # Quantity of wheat purchased (100 T).
var s1 integer >= 0;    # Quantity of wheat sold      (100 T).
var r2 integer >= 0;    # Quantity of corn  purchased (100 T).
var s2 integer >= 0;    # Quantity of corn sold       (100 T).
var w3 >= 0;            # Quantity of sugar sold with favorable price (T).
var w4 >= 0;            # Quantity of sugar sold with unfavorable price (T).

# Objective function
minimize loss: 
   150*x1 + 230*x2 + 260*x3
   - (170*100*r1 - 238*100*s1 + 150*100*r2 - 210*100*s2 + 36*w3 +  10*w4);

# Constraints
subject to land_area:                x1 + x2 + x3 <= 500.0;
subject to wheat_for_cattle:         2.5*x1 + 100*s1 - 100*r1 >= 200.0;
subject to corn_for_cattle:          3.0*x2 + 100*s2 - 100*r2 >= 240.0;
subject to sugar_production:         w3 + w4 <= 20.0*x3;
subject to sugar_quota{s in S}:      w3 <= 6000.0;








